stralloc_catlong0(3)

NAME
stralloc_catlong0 - append an integer to a stralloc

SYNTAX
#include <libowfat/stralloc.h> int stralloc_catlong0(stralloc* sa, unsigned long int in, size_t n);

DESCRIPTION
stralloc_catlong0 converts in to a string using fmt_long0 and appends the result to sa, allocating memory as necessary. If there was a memory allocation failure, stralloc_catlong0 returns 0, else 1.

RETURN VALUE
1 for success, 0 on memory allocation failure.

SEE ALSO
fmt_long0(3)